#!/usr/bin/env bash
PROTECTED=master

ENVIRONMENT="${DRONE_BRANCH##*/}"
[ -z "$ENVIRONMENT" ] && ENVIRONMENT="$DRONE_TAG"

if [[ "$ENVIRONMENT" =~ $PROTECTED ]] && [ "$ENVIRONMENT" != "$DRONE_BRANCH" ] ; then
  echo "Can only deploy to $PROTECTED from named branches"
  unset ENVIRONMENT
fi

if [ -f "environments/${ENVIRONMENT}.env" ] ; then
  make all "env=${ENVIRONMENT}"
else
  make all env=ci
  make delete env=ci
fi
